using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsComplaintCodeType {
        public FmsComplaintCodeType() {
            FmsComplaints = new HashSet<FmsComplaints>();
        }

        public int ComplaintTypeId { get; set; }
        [Display(Name = "민원코드명"), Required]
        [StringLength(24)]
        public string Name { get; set; }
        [Display(Name = "사용여부"), Required]
        public bool? IsUse { get; set; }

        [InverseProperty("FmsComplaintCodeType")]
        public virtual ICollection<FmsComplaints> FmsComplaints { get; set; }
    }
}
